Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Stefan Monnier <[email-masked]>
Date: Wed, 12 Apr 2023 10:11:02 -0400

>>> +(defun package-core-p (package)
>>> +  "Return non-nil the built-in version of PACKAGE is loaded."
>>
>> Didn't you say the "core" terminology was confusing people?
>
> TBH I am not really satisfied with the name (so any other suggestion is
> just as fine for me), and as Joao said it would be better to make the
> predicate as internal so that users are not expected to deal with it.

Beside "core" and "built-in" (with or without dash), another name that's
been used over the years is "bundled".  I don't have a strong preference
between those.

        Stefan